@model IEnumerable<EpiTicket.Models.Association>

@{
    ViewData["Title"] = "Liste des associations";
}

<div>
    <h1>Liste des associations</h1>

    <p>
        <a asp-action="Create">Créer une nouvelle association</a>
    </p>
</div>

@if (Model.Count() > 0)
{
    <div>
        <table class="table">
            <thead>
                <tr>
                    <th>
                        Nom
                    </th>
                    <th>
                        Actions
                    </th>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model)
                {
                    <tr>
                        <td>
                            <a asp-action="Details" asp-route-id="@item.AssociationId">@Html.DisplayFor(modelItem => item.Name)</a>
                        </td>
                        <td>
                            <a asp-action="Edit" asp-route-id="@item.AssociationId">Modifier l'asso</a> |
                            <a asp-action="Details" asp-route-id="@item.AssociationId">Gérer l'asso</a> |
                            <a asp-action="Delete" asp-route-id="@item.AssociationId">Supprimer l'asso</a>
                        </td>
                    </tr>
                }
            </tbody>
        </table>
    </div>
}
